Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 668160

Summary: app-text/ghostscript-gpl-9.25 compile fails with only gtk+:2
Product: Gentoo Linux Reporter: Tom Dexter <digitalaudiorock>
Component: Current packagesAssignee: Printing Team <printing>
Status: UNCONFIRMED ---    
Severity: normal CC: fedeliallalinea, jstein
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Tom Dexter 2018-10-09 12:34:22 UTC
The compile of app-text/ghostscript-gpl-9.25 fails when only gtk+:2 is installed.

This is apparently a known bug resolved upstream. I was able to get by by temporarily using -gtk for the package:

https://bugs.ghostscript.com/show_bug.cgi?id=699907
Comment 1 Larry the Git Cow gentoo-dev 2018-11-04 20:33:55 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c86e7dd1c1a9d872c40589d1cb62856256b5648c

commit c86e7dd1c1a9d872c40589d1cb62856256b5648c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-11-04 16:29:43 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-11-04 20:33:40 +0000

    app-text/ghostscript-gpl: Fix build w/o gtk+:3
    
    Reported-by: Tom Dexter <digitalaudiorock@gmail.com>
    Bug: https://bugs.gentoo.org/668160
    Package-Manager: Portage-2.3.51, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../files/ghostscript-gpl-9.25-no-gtk3.patch       | 43 ++++++++++++++++++++++
 .../ghostscript-gpl/ghostscript-gpl-9.25-r1.ebuild | 11 ++++--
 2 files changed, 50 insertions(+), 4 deletions(-)